Name | Type | Default |
animationType
|
enum:TabsAnimationType
|
none
|
enum TabsAnimationType { none, fade } Sets or gets the animationType property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [animationType]="'fade'"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
autoHeight
|
Boolean
|
true
|
Sets or gets the autoHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [autoHeight]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
closeButtonSize
|
Number
|
16
|
Sets or gets the closeButtonSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [closeButtonSize]="20"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
collapsible
|
Boolean
|
false
|
Sets or gets the collapsible property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [collapsible]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
contentTransitionDuration
|
Number
|
450
|
Sets or gets the contentTransitionDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [contentTransitionDuration]="300"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [disabled]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
enabledHover
|
Boolean
|
true
|
Sets or gets the enabledHover property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [enabledHover]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
enableScrollAnimation
|
Boolean
|
true
|
Sets or gets the enableScrollAnimation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [enableScrollAnimation]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
enableDropAnimation
|
Boolean
|
false
|
Sets or gets the enableDropAnimation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [enableScrollAnimation]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
height
|
String | Number
|
auto
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
initTabContent
|
(tab?: Number) => Void
|
null
|
Sets or gets the initTabContent property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [initTabContent]="initTabContent"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
keyboardNavigation
|
Boolean
|
true
|
Sets or gets the keyboardNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [keyboardNavigation]="false"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
next
|
Any
|
null
|
Sets or gets the next property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [next]="next"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
previous
|
Any
|
null
|
Sets or gets the previous property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [previous]="previous"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
position
|
enum:TabsPosition
|
top
|
enum TabsPosition { top, bottom } Sets or gets the position property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
reorder
|
Boolean
|
false
|
Sets or gets the reorder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [reorder]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [rtl]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
scrollAnimationDuration
|
Number
|
250
|
Sets or gets the scrollAnimationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [scrollAnimationDuration]="3000"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
selectedItem
|
Number
|
0
|
Sets or gets the selectedItem property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [selectedItem]="1"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
selectionTracker
|
Boolean
|
false
|
Sets or gets the selectionTracker property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [selectionTracker]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
scrollable
|
Boolean
|
true
|
Sets or gets the scrollable property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [scrollable]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
scrollPosition
|
enum:TabsScrollPosition
|
'right'
|
enum TabsScrollPosition { left, right, both } Sets or gets the scrollPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [scrollPosition]="'both'"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
scrollStep
|
Number
|
70
|
Sets or gets the scrollStep property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [scrollStep]="100"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
showCloseButtons
|
Boolean
|
false
|
Sets or gets the showCloseButtons property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [showCloseButtons]="true"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
toggleMode
|
enum:TabsToggleMode
|
click
|
enum TabsToggleMode { click, dblclick, mouseenter, none } Sets or gets the toggleMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [toggleMode]="'dlclick'"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"' [theme]="'energyblue'"> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
width
|
String | Number
|
auto
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
|
add
|
Event
|
|
This event is triggered when a new tab is added to the jqxTabs.
Code examples
Bind to the add event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onAdd)="Add($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent {
|
created
|
Event
|
|
This event is triggered when the jqxTabs is created. You should subscribe to this event before the jqxTabs initialization.
Code examples
Bind to the created event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onCreated)="Created($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Created(event: any): void
|
collapsed
|
Event
|
|
Theis event is triggered when any tab is collapsed.
Code examples
Bind to the collapsed event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onCollapsed)="Collapsed($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Collapsed(event: any): void
|
dragStart
|
Event
|
|
This event is triggered when the drag operation started.
Code examples
Bind to the dragStart event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onDragStart)="DragStart($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { DragStart(event: any): void
|
dragEnd
|
Event
|
|
This event is triggered when the drag operation ended.
Code examples
Bind to the dragEnd event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onDragEnd)="DragEnd($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { DragEnd(event: any): void
|
expanded
|
Event
|
|
This event is triggered when any tab is expanded.
Code examples
Bind to the expanded event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onExpanded)="Expanded($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Expanded(event: any): void
|
removed
|
Event
|
|
This event is triggered when a tab is removed.
Code examples
Bind to the removed event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onRemoved)="Removed($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Removed(event: any): void
|
selecting
|
Event
|
|
This event is triggered when the user selects a tab. This event is cancelable. You can cancel the selection by setting the 'event.cancel = true' in the event callback.
Code examples
Bind to the selecting event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onSelecting)="Selecting($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Selecting(event: any): void
|
selected
|
Event
|
|
This event is triggered when the user selects a new tab.
Code examples
Bind to the selected event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onSelected)="Selected($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Selected(event: any): void
|
tabclick
|
Event
|
|
This event is triggered when the user click a tab. You can retrieve the clicked tab's index.
Code examples
Bind to the tabclick event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onTabclick)="Tabclick($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Tabclick(event: any): void
|
unselecting
|
Event
|
|
This event is triggered when the user selects a tab. The last selected tab is going to become unselected. This event is cancelable. You can cancel the selection by setting the 'event.cancel = true' in the event callback.
Code examples
Bind to the unselecting event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onUnselecting)="Unselecting($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Unselecting(event: any): void
|
unselected
|
Event
|
|
This event is triggered when the user selects a tab. The last selected tab becomes unselected.
Code examples
Bind to the unselected event of jqxTabs.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs(onUnselected)="Unselected($event)" [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent { Unselected(event: any): void
|
|
Name | Return Type | Arguments |
addAt
|
Void
|
index: Number, title: String, content: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.addAt(1, 'Title','Content');
|
addFirst
|
Void
|
htmlElement: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
addLast
|
Void
|
htmlElement1: Any, htmlElemen2t: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
collapse
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
disableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.disableAt(1);
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
ensureVisible
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.ensureVisible(1);
|
enableAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
expand
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
getTitleAt
|
String
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { let value = this.myTabs.getTitleAt(1);
|
getContentAt
|
Any
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { let value = this.myTabs.getContentAt(1);
|
getDisabledTabsCount
|
Any
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { let value = this.myTabs.getDisabledTabsCount();
|
hideCloseButtonAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.hideCloseButtonAt(1);
|
hideAllCloseButtons
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.hideAllCloseButtons();
|
length
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { let value = this.myTabs.length();
|
removeAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
removeFirst
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.removeFirst();
|
removeLast
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.removeLast();
|
select
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent;
|
setContentAt
|
Void
|
index: Number, htmlElement: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.setContentAt(1,document.createElement( 'label'));
|
setTitleAt
|
Void
|
index: Number, htmlElement: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.setTitleAt(1, 'Title 1');
|
showCloseButtonAt
|
Void
|
index: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.showCloseButtonAt(1);
|
showAllCloseButtons
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { this.myTabs.showAllCloseButtons();
|
val
|
String
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTabs #myTabs [width]='"90%"' [height]='200' [position]='"top"'> <ul> <li style="margin-left: 30px;">Node.js</li> <li>JavaServer Pages </li> <li>Active Server Pages </li> <li>Python </li> <li>Perl </li> </ul> <div>Node.js is an event-driven I/O server-side JavaScript environment based on V8.... </div> <div>JavaServer Pages (JSP) is a Java technology that helps software developers.... </div> <div>ASP.NET is a web application framework developed and marketed by Microsoft.... </div> <div>Python is a general-purpose, high-level programming language[5] whose design.... </div> <div>Perl is a high-level, general-purpose, interpreted, dynamic programming language.... </div> </jqxTabs> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myTabs') myTabs: jqxTabsComponent; ngAfterViewInit(): void { let value = this.myTabs.val();
|

Name | Type | Default |
animationType
|
String
|
none
|
Sets or gets the animation type of switching tabs.
Possible Values:
'none'
'fade'
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :animationType="'fade'"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
autoHeight
|
Boolean
|
true
|
Sets or gets whether the jqxTabs header's height will be equal to the item with max height.
<template> <JqxTabs ref="myTabs" :width="300" :autoHeight="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
closeButtonSize
|
Number
|
16
|
Sets or gets the close button size.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :showCloseButtons="true" :closeButtonSize="20"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
collapsible
|
Boolean
|
false
|
Enables or disables the collapsible feature.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :collapsible="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
contentTransitionDuration
|
Number
|
450
|
Sets or gets the duration of the content's fade animation which occurs when the user selects a tab. This setting has effect when the 'animationType' is set to 'fade'.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :animationType="'fade'" :contentTransitionDuration="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
disabled
|
Boolean
|
false
|
Enables or disables the jqxTabs widget.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :disabled="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
enabledHover
|
Boolean
|
true
|
Enables or disables the tabs hover effect.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :enabledHover="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
enableScrollAnimation
|
Boolean
|
true
|
Sets or gets whether the scroll animation is enabled.
<template> <JqxTabs ref="myTabs" :width="100" :height="150" :enableScrollAnimation="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
enableDropAnimation
|
Boolean
|
false
|
Sets or gets whether the drop animation is enabled.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :reorder="true" :enableDropAnimation="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
height
|
Number | String
|
auto
|
Sets or gets widget's height.
<template> <JqxTabs ref="myTabs" :width="300" :height="150"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
initTabContent
|
Function
|
null
|
Callback function that the tab calls when a content panel needs to be initialized.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :initTabContent="initTabContent"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, methods: { initTabContent: function () { jqwidgets.createInstance( '#button', 'jqxButton', { width: 80, height: 50 });
|
keyboardNavigation
|
Boolean
|
true
|
Enables or disables the keyboard navigation.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :keyboardNavigation="false"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
next
|
Object
|
null
|
<template> <JqxTabs ref="myTabs" :width="300" :height="150"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted : function () { let next = this.$refs.myTabs.next;
|
previous
|
Object
|
null
|
<template> <JqxTabs ref="myTabs" :width="300" :height="150"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted : function () { let previous = this.$refs.myTabs.previous;
|
position
|
String
|
top
|
Sets or gets whether the tabs are positioned at 'top' or 'bottom.
Possible Values:
'top'
'bottom'
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :position="'bottom'"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
reorder
|
Boolean
|
false
|
Enables or disables the reorder feature. When this feature is enabled, the end-user can drag a tab and drop it over another tab. As a result the tabs will be reordered.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :reorder="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :rtl="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
scrollAnimationDuration
|
Number
|
250
|
Sets or gets the duration of the scroll animation.
<template> <JqxTabs ref="myTabs" :width="100" :height="150" :scrollAnimationDuration="3000"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
selectedItem
|
Number
|
0
|
Sets or gets selected tab.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :selectedItem="1"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
selectionTracker
|
Boolean
|
false
|
Sets or gets whether the selection tracker is enabled.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :selectionTracker="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
scrollable
|
Boolean
|
true
|
Sets or gets whether the scrolling is enabled.
<template> <JqxTabs ref="myTabs" :width="100" :height="150" :scrollable="false"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
scrollPosition
|
String
|
'right'
|
Sets or gets the position of the scroll arrows.
Possible Values:
'left'
'right'
'both'
<template> <JqxTabs ref="myTabs" :width="100" :height="150" :scrollPosition="'both'"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
scrollStep
|
Number
|
70
|
Sets or gets the scrolling step.
<template> <JqxTabs ref="myTabs" :width="100" :height="150" :scrollStep="10"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
showCloseButtons
|
Boolean
|
false
|
Sets or gets whether a close button is displayed in each tab.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :showCloseButtons="true"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
toggleMode
|
String
|
click
|
Sets or gets user interaction used for switching the different tabs.
Possible Values:
'click'
'dblclick'
'mouseenter'
'none'
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :toggleMode="'dblclick'"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxTabs ref="myTabs" :width="300" :height="150" :theme="'material'"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
width
|
Number | String
|
auto
|
Sets or gets widget's width.
<template> <JqxTabs ref="myTabs" :width="300" :height="150"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue';
|
|
add
|
Event
|
|
This event is triggered when a new tab is added to the jqxTabs.
Code examples
Bind to the add event of jqxTabs.
<template> <div> <JqxTabs ref="myTabs" @add="onAdd($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> <JqxButton style="margin-top: 10px" :width="60" @click="add()">Add Tab </JqxButton> </div></template><script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTabs, JqxButton }, methods: { add: function () { this.$refs.myTabs.addLast( 'Title', 'Content'); }, onAdd: function (event) {
|
collapsed
|
Event
|
|
Theis event is triggered when any tab is collapsed.
Code examples
Bind to the collapsed event of jqxTabs.
<template> <JqxTabs ref="myTabs" @collapsed="onCollapsed($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.collapsible = true; }, methods: { onCollapsed: function (event) { alert( 'do something...');
|
dragStart
|
Event
|
|
This event is triggered when the drag operation started.
Code examples
Bind to the dragStart event of jqxTabs.
<template> <JqxTabs ref="myTabs" @dragStart="onDragStart($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.reorder = true; }, methods: { onDragStart: function (event) { alert( 'do something...');
|
dragEnd
|
Event
|
|
This event is triggered when the drag operation ended.
Code examples
Bind to the dragEnd event of jqxTabs.
<template> <JqxTabs ref="myTabs" @dragEnd="onDragEnd($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.reorder = true; }, methods: { onDragEnd: function (event) { alert( 'do something...');
|
expanded
|
Event
|
|
This event is triggered when any tab is expanded.
Code examples
Bind to the expanded event of jqxTabs.
<template> <JqxTabs ref="myTabs" @expanded="onExpanded($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.collapsible = true; }, methods: { onExpanded: function (event) { alert( 'do something...');
|
removed
|
Event
|
|
This event is triggered when a tab is removed.
Code examples
Bind to the removed event of jqxTabs.
<template> <div> <JqxTabs ref="myTabs" @removed="onRemoved($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> <JqxButton style="margin-top: 10px" :width="80" @click="remove()">Remove Tab </JqxButton> </div></template><script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxTabs, JqxButton }, methods: { remove: function () { this.$refs.myTabs.removeFirst(); }, onRemoved: function (event) {
|
selecting
|
Event
|
|
This event is triggered when the user selects a tab. This event is cancelable. You can cancel the selection by setting the 'event.cancel = true' in the event callback.
Code examples
Bind to the selecting event of jqxTabs.
<template> <JqxTabs ref="myTabs" @selecting="onSelecting($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, methods: { onSelecting: function (event) { alert( 'do something...');
|
selected
|
Event
|
|
This event is triggered when the user selects a new tab.
Code examples
Bind to the selected event of jqxTabs.
<template> <JqxTabs ref="myTabs" @selected="onSelected($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, methods: { onSelected: function (event) { alert( 'do something...');
|
tabclick
|
Event
|
|
This event is triggered when the user click a tab. You can retrieve the clicked tab's index.
Code examples
Bind to the tabclick event of jqxTabs.
<template> <JqxTabs ref="myTabs" @tabclick="onTabclick($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, methods: { onTabclick: function (event) { alert( 'do something...');
|
unselecting
|
Event
|
|
This event is triggered when the user selects a tab. The last selected tab is going to become unselected. This event is cancelable. You can cancel the selection by setting the 'event.cancel = true' in the event callback.
Code examples
Bind to the unselecting event of jqxTabs.
<template> <JqxTabs ref="myTabs" @unselecting="onUnselecting($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, methods: { onUnselecting: function (event) { alert( 'do something...');
|
unselected
|
Event
|
|
This event is triggered when the user selects a tab. The last selected tab becomes unselected.
Code examples
Bind to the unselected event of jqxTabs.
<template> <JqxTabs ref="myTabs" @unselected="onUnselected($event)" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, methods: { onUnselected: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addAt
|
index, title, content
|
None
|
Adding tab at indicated position.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.addAt(1, 'Title','Content');
|
addFirst
|
htmlElement1, htmlElement2
|
None
|
Adding tab at the beginning.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.addFirst( 'Title','Content');
|
addLast
|
htmlElement1, htmlElement2
|
None
|
Adding tab at the end.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.addLast( 'Title','Content');
|
collapse
|
None
|
None
|
Collapsing the current selected tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.collapsible = true; this.$refs.myTabs.collapse();
|
disable
|
None
|
None
|
Disabling the widget.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.disable();
|
disableAt
|
index
|
None
|
Disabling tab with indicated index.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.disableAt(1);
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.destroy();
|
ensureVisible
|
index
|
None
|
This method is ensuring the visibility of item with indicated index. If the item is currently not visible the method is scrolling to it.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> <li>Tab3</li> <li>Tab4</li> <li>Tab5</li> <li>Tab6 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> <div>Content 3 </div> <div>Content 4 </div> <div>Content 5 </div> <div>Content 6 </div> </JqxTabs></template><script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.ensureVisible(5);
|
enableAt
|
index
|
None
|
Enabling tab with indicated index.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.enableAt(1);
|
expand
|
None
|
None
|
Expanding the current selected tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.expand();
|
enable
|
None
|
None
|
Enabling the widget.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.enable();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.focus();
|
getTitleAt
|
index
|
String
|
Gets the title of a Tab. The returned value is a "string".
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { const value = this.$refs.myTabs.getTitleAt(1);
|
getContentAt
|
index
|
Object
|
Gets the content of a Tab. The returned value is a HTML Element.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { const value = this.$refs.myTabs.getContentAt(1);
|
getDisabledTabsCount
|
None
|
Object
|
Method: getDisabledTabsCount
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { const value = this.$refs.myTabs.getDisabledTabsCount();
|
hideCloseButtonAt
|
index
|
None
|
Hiding a close button at a specific position.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.showCloseButtons = true; this.$refs.myTabs.hideCloseButtonAt(1);
|
hideAllCloseButtons
|
None
|
None
|
Hiding all close buttons.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.showCloseButtons = true; this.$refs.myTabs.hideAllCloseButtons();
|
length
|
None
|
Number
|
Returning the tabs count.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { const value = this.$refs.myTabs.length();
|
removeAt
|
index
|
None
|
Removing tab with indicated index.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.removeAt(1);
|
removeFirst
|
None
|
None
|
Removing the first tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.removeFirst();
|
removeLast
|
None
|
None
|
Removing the last tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.removeLast();
|
select
|
index
|
None
|
Selecting tab with indicated index.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.select(1);
|
setContentAt
|
index, htmlElement
|
None
|
Sets the content of a Tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.setContentAt(1, 'New Content');
|
setTitleAt
|
index, htmlElement
|
None
|
Sets the title of a Tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.setTitleAt(1, 'Title 1');
|
showCloseButtonAt
|
index
|
None
|
Showing close button at a specific position.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.showCloseButtonAt(1);
|
showAllCloseButtons
|
None
|
None
|
Showing all close buttons.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { this.$refs.myTabs.showAllCloseButtons();
|
val
|
value
|
String
|
Sets or gets the selected tab.
<template> <JqxTabs ref="myTabs" :width="300"> <ul> <li>Tab1</li> <li>Tab2</li> </ul> <div>Content 1<input type='button' id='button' value='Button' /></div> <div>Content 2</div> </JqxTabs></template> <script> import JqxTabs from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtabs.vue'; export default { components: { JqxTabs }, mounted: function () { const value = this.$refs.myTabs.val();
|

Name | Type | Default |
animationType
|
TabsAnimationType
|
none
|
TabsAnimationType: "none" | "fade"
Sets or gets the animation type of switching tabs.
Possible Values:
'none'
'fade'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} animationType={ 'fade'}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
autoHeight
|
boolean
|
true
|
Sets or gets whether the jqxTabs header's height will be equal to the item with max height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} autoHeight={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
closeButtonSize
|
number
|
16
|
Sets or gets the close button size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} showCloseButtons={true} closeButtonSize={20}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapsible
|
boolean
|
false
|
Enables or disables the collapsible feature.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} collapsible={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
contentTransitionDuration
|
number
|
450
|
Sets or gets the duration of the content's fade animation which occurs when the user selects a tab. This setting has effect when the 'animationType' is set to 'fade'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} animationType={ 'fade'} contentTransitionDuration={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables or disables the jqxTabs widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} disabled={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enabledHover
|
boolean
|
true
|
Enables or disables the tabs hover effect.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} enabledHover={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableScrollAnimation
|
boolean
|
true
|
Sets or gets whether the scroll animation is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={100} height={150} enableScrollAnimation={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableDropAnimation
|
boolean
|
false
|
Sets or gets whether the drop animation is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} reorder={true} enableDropAnimation={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
auto
|
Sets or gets widget's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initTabContent
|
(tab?: number) => void
|
null
|
Callback function that the tab calls when a content panel needs to be initialized.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); constructor(props: {}) { super(props); this.state = { initTabContent: (): any => { jqwidgets.createInstance( '#button', 'jqxButton', { width: 80, height: 50 }); } } } public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} initTabContent={this.state.initTabContent}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
keyboardNavigation
|
boolean
|
true
|
Enables or disables the keyboard navigation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} keyboardNavigation={false}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
next
|
any
|
null
|
|
previous
|
any
|
null
|
|
position
|
TabsPosition
|
top
|
TabsPosition: "top" | "bottom"
Sets or gets whether the tabs are positioned at 'top' or 'bottom.
Possible Values:
'top'
'bottom'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} position={ 'bottom'}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
reorder
|
boolean
|
false
|
Enables or disables the reorder feature. When this feature is enabled, the end-user can drag a tab and drop it over another tab. As a result the tabs will be reordered.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} reorder={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} rtl={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollAnimationDuration
|
number
|
250
|
Sets or gets the duration of the scroll animation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={100} height={150} scrollAnimationDuration={3000}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectedItem
|
number
|
0
|
Sets or gets selected tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} selectedItem={1}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectionTracker
|
boolean
|
false
|
Sets or gets whether the selection tracker is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} selectionTracker={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollable
|
boolean
|
true
|
Sets or gets whether the scrolling is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={100} height={150} scrollable={false}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollPosition
|
TabsScrollPosition
|
'right'
|
TabsScrollPosition: "left" | "right" | "both"
Sets or gets the position of the scroll arrows.
Possible Values:
'left'
'right'
'both'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={100} height={150} scrollPosition={ 'both'}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollStep
|
number
|
70
|
Sets or gets the scrolling step.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={100} height={150} scrollStep={10}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCloseButtons
|
boolean
|
false
|
Sets or gets whether a close button is displayed in each tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} showCloseButtons={true}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toggleMode
|
TabsToggleMode
|
click
|
TabsToggleMode: "click" | "dblclick" | "mouseenter" | "none"
Sets or gets user interaction used for switching the different tabs.
Possible Values:
'click'
'dblclick'
'mouseenter'
'none'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} toggleMode={ 'dblclick'}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150} theme={ 'material'}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
auto
|
Sets or gets widget's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} width={300} height={150}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
add
|
Event
|
|
This event is triggered when a new tab is added to the jqxTabs.
Code examples
Bind to the add event of jqxTabs.
|
collapsed
|
Event
|
|
Theis event is triggered when any tab is collapsed.
Code examples
Bind to the collapsed event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.setOptions({ collapsible: true }); } public render() { return ( <JqxTabs ref={this.myTabs} onCollapsed={this.onCollapsed} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onCollapsed(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragStart
|
Event
|
|
This event is triggered when the drag operation started.
Code examples
Bind to the dragStart event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.setOptions({ reorder: true }); } public render() { return ( <JqxTabs ref={this.myTabs} onDragStart={this.onDragStart} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onDragStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragEnd
|
Event
|
|
This event is triggered when the drag operation ended.
Code examples
Bind to the dragEnd event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.setOptions({ reorder: true }); } public render() { return ( <JqxTabs ref={this.myTabs} onDragEnd={this.onDragEnd} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onDragEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expanded
|
Event
|
|
This event is triggered when any tab is expanded.
Code examples
Bind to the expanded event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.setOptions({ collapsible: true }); } public render() { return ( <JqxTabs ref={this.myTabs} onExpanded={this.onExpanded} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onExpanded(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removed
|
Event
|
|
This event is triggered when a tab is removed.
Code examples
Bind to the removed event of jqxTabs.
|
selecting
|
Event
|
|
This event is triggered when the user selects a tab. This event is cancelable. You can cancel the selection by setting the 'event.cancel = true' in the event callback.
Code examples
Bind to the selecting event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} onSelecting={this.onSelecting} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onSelecting(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selected
|
Event
|
|
This event is triggered when the user selects a new tab.
Code examples
Bind to the selected event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} onSelected={this.onSelected} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onSelected(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tabclick
|
Event
|
|
This event is triggered when the user click a tab. You can retrieve the clicked tab's index.
Code examples
Bind to the tabclick event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} onTabclick={this.onTabclick} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onTabclick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselecting
|
Event
|
|
This event is triggered when the user selects a tab. The last selected tab is going to become unselected. This event is cancelable. You can cancel the selection by setting the 'event.cancel = true' in the event callback.
Code examples
Bind to the unselecting event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} onUnselecting={this.onUnselecting} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onUnselecting(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unselected
|
Event
|
|
This event is triggered when the user selects a tab. The last selected tab becomes unselected.
Code examples
Bind to the unselected event of jqxTabs.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public render() { return ( <JqxTabs ref={this.myTabs} onUnselected={this.onUnselected} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } private onUnselected(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addAt
|
index, title, content
|
|
Adding tab at indicated position.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.addAt(1, 'Title','Content'); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
addFirst
|
htmlElement1, htmlElement2
|
|
Adding tab at the beginning.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.addFirst( 'Title','Content'); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
addLast
|
htmlElement1, htmlElement2
|
|
Adding tab at the end.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.addLast( 'Title','Content'); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapse
|
None
|
|
Collapsing the current selected tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.collapse(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disabling the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.disable(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableAt
|
index
|
|
Disabling tab with indicated index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.disableAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.destroy(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
ensureVisible
|
index
|
|
This method is ensuring the visibility of item with indicated index. If the item is currently not visible the method is scrolling to it.
|
enableAt
|
index
|
|
Enabling tab with indicated index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.enableAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
expand
|
None
|
|
Expanding the current selected tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.expand(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enabling the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.enable(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.focus(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getTitleAt
|
index
|
|
Gets the title of a Tab. The returned value is a "string".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.getTitleAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getContentAt
|
index
|
|
Gets the content of a Tab. The returned value is a HTML Element.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.getContentAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getDisabledTabsCount
|
None
|
|
Method: getDisabledTabsCount
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.getDisabledTabsCount(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideCloseButtonAt
|
index
|
|
Hiding a close button at a specific position.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.hideCloseButtonAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideAllCloseButtons
|
None
|
|
Hiding all close buttons.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.hideAllCloseButtons(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
length
|
None
|
|
Returning the tabs count.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.length(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeAt
|
index
|
|
Removing tab with indicated index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.removeAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeFirst
|
None
|
|
Removing the first tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.removeFirst(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
removeLast
|
None
|
|
Removing the last tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.removeLast(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
select
|
index
|
|
Selecting tab with indicated index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.select(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setContentAt
|
index, htmlElement
|
|
Sets the content of a Tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.setContentAt(1, 'New Content'); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setTitleAt
|
index, htmlElement
|
|
Sets the title of a Tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.setTitleAt(1, 'Title 1'); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCloseButtonAt
|
index
|
|
Showing close button at a specific position.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.showCloseButtonAt(1); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showAllCloseButtons
|
None
|
|
Showing all close buttons.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.showAllCloseButtons(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the selected tab.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTabs, { ITabsProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtabs'; class App extends React.PureComponent<{}, ITabsProps> { private myTabs = React.createRef<JqxTabs>(); public componentDidMount(): void { this.myTabs.current!.val(); } public render() { return ( <JqxTabs ref={this.myTabs} width={300}> <ul> <li>Tab1 </li> <li>Tab2 </li> </ul> <div>Content 1 <input type='button' id='button' value='Button' /></div> <div>Content 2 </div> </JqxTabs> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|